// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired)
  {
    logComment("Spazio su disco insufficiente: " + dirPath);
    logComment("  richiesto : " + spaceRequired + " kB");
    logComment("  disponibile: " + spaceAvailable + " kB");
    return(false);
  }

  return(true);
}
var srDest = 500;
var err;
var fProgram;

// OS type detection
// which platform?
var platformStr = new String(Install.platform);
var platformNode;
if (!platformStr.search(/^Macintosh/))
    platformNode = 'mac';
else if (!platformStr.search(/^Win/))
    platformNode = 'win';
else
    platformNode = 'unix';

logComment("initInstall: platformNode=" + platformNode);
// end
// end - OS type detection

// --- LOCALIZATION NOTE: translate only these ---
var prettyName = "Italian (it-IT) Language Pack for Mozilla0.9.3";
var langcode = "it";
var chromeNode = langcode + "-IT";
// --- END LOCALIZABLE RESOURCES ---
var regName    = "locales/mozilla/" + chromeNode;
var chromeName = chromeNode + ".jar";
var platformName = langcode + "-" + platformNode + ".jar";
var localeName = "locale/" + chromeNode + "/";

err = initInstall(prettyName, regName, "5.0.0.2001080110"); 
logComment("initInstall: " + err);

fProgram = getFolder("Program");
logComment("fProgram: " + fProgram);

if (verifyDiskSpace(fProgram, srDest))
{
    err = addDirectory("",
                       "5.0.0.2001080110",
                       "bin",
                       fProgram,
                       "",
                       true);
    logComment("addDirectory() returned: " + err);

    // register chrome
    var cf = getFolder("Chrome");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "global/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "communicator/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "messenger/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "editor/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "navigator/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "necko/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "cookie/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "wallet/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "pipnss/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "pippki/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "chatzilla/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "help/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "content-packs/");
    
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, platformName), localeName + "global-platform/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, platformName), localeName + "communicator-platform/");
    registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, platformName), localeName + "navigator-platform/");

    if (err == SUCCESS)
    {
        err = performInstall(); 
        logComment("performInstall() ha ritornato: " + err);
        alert("Riavviare Mozilla e selezionare Preferences, nel menu Edit.\n" +
           "Nella sotto sezione Appearance, selezionare la voce 'Italian (it-IT)'.\n\n" +
           "Please restart Mozilla and select Preferences, under the Edit menu.\n" +
           "Under the Appearance category select the 'Italian (it-IT)' item.");
    }
    else
    {
        cancelInstall(err);
        logComment("cancelInstall per l'errore: " + err);
    }
}
else
    cancelInstall(INSUFFICIENT_DISK_SPACE);
